Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep
Interface ParserVisitor

All Known Implementing Classes:
  CommandVisitor, DeepCopyVisitor, DifferentiationVisitor, DoNothingVisitor, DPrintVisitor, ErrorCatchingVisitor, EvaluatorVisitor, ExpressionCompiler, MatrixEvaluator, MatrixPreprocessor, MRpEval, ParserDumpVisitor, PolynomialCreator, PolynomialVisitor, PrintVisitor, RewriteVisitor, RpEval, SimplificationVisitor, SubstitutionVisitor, VectorEvaluator, XEvaluatorVisitor

    public interface ParserVisitor

Method Summary
`java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStart node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    java.lang.Object visit(SimpleNode node,
                           java.lang.Object data)
                           throws ParseException

  Throws:
    `ParseException`

### visit

    java.lang.Object visit(ASTStart node,
                           java.lang.Object data)
                           throws ParseException

  Throws:
    `ParseException`

### visit

    java.lang.Object visit(ASTFunNode node,
                           java.lang.Object data)
                           throws ParseException

  Throws:
    `ParseException`

### visit

    java.lang.Object visit(ASTVarNode node,
                           java.lang.Object data)
                           throws ParseException

  Throws:
    `ParseException`

### visit

    java.lang.Object visit(ASTConstant node,
                           java.lang.Object data)
                           throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems